Bug 1664854 - Add rsync back to the docker-registry image
Summary: Add rsync back to the docker-registry image
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Release
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: ---
: 4.1.0
Assignee: Luke Meyer
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1614841
Blocks: 1664853
TreeView+ depends on / blocked
 
Reported: 2019-01-09 20:43 UTC by Ben Parees
Modified: 2019-06-04 10:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of: 1614841
Environment:
Last Closed: 2019-06-04 10:41:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:41:48 UTC

Comment 2 XiuJuan Wang 2019-01-25 03:28:14 UTC
This issue didn't fix in ocp 4.0, which has included https://github.com/openshift/image-registry/pull/140 .

$oc adm release info --pullspecs registry.svc.ci.openshift.org/ocp/release:4.0.0-0.nightly-2019-01-24-184525  | grep  docker-registry  docker-registry                               registry.svc.ci.openshift.org/ocp/4.0-art-latest-2019-01-24-184525@sha256:4f7563afb5afe286df55314ea1100f0e01208bf31a92a24b4fe245e9adbc9b90
[xiuwang@dhcp-140-96 release-payload]$ oc image info registry.svc.ci.openshift.org/ocp/4.0-art-latest-2019-01-24-184525@sha256:4f7563afb5afe286df55314ea1100f0e01208bf31a92a24b4fe245e9adbc9b90  | grep commit 
               io.openshift.build.commit.id=c255e4fffc72084b9c6462277265e432e200435b
               io.openshift.build.commit.url=https://github.com/openshift/image-registry/commit/c255e4fffc72084b9c6462277265e432e200435b
$oc rsh -n openshift-image-registry  image-registry-5bcb79bf8d-t4wcr
sh-4.2$ rpm -qa | grep  rsync
sh-4.2$


$docker run --user root  -it --entrypoint=/bin/bash --rm  registry.reg-aws.openshift.com:443/openshift/ose-docker-registry:v4.0
[root@3d38c691cf98 /]# rpm -qa | grep rsync 
[root@3d38c691cf98 /]#

Comment 3 Ben Parees 2019-01-25 04:27:42 UTC
it's in our dockerfile so this is a question for the release team as to why it's not in the image:
https://github.com/openshift/image-registry/blob/c255e4fffc72084b9c6462277265e432e200435b/Dockerfile.rhel7#L7

it's possible the ocp image is still building off this dockerfile which i think would be wrong:
https://github.com/openshift/image-registry/blob/master/images/dockerregistry/Dockerfile

Comment 4 Ben Parees 2019-01-30 15:22:23 UTC
Luke figured out the ART build config is pointing to the older dockerfile, he's going to update the build config:

https://github.com/openshift/ocp-build-data/blob/openshift-4.0/images/openshift-enterprise-registry.yml

Comment 5 Luke Meyer 2019-01-30 16:28:56 UTC
The build should be using the new dockerfile as of v4.0.0-0.150.1

Comment 6 Wenjing Zheng 2019-01-31 08:51:40 UTC
Verified with quay.io/openshift-release-dev/ocp-v4.0-art-dev:v4.0.0-0.150.1-ose-docker-registry:
[wzheng@laptop ~]$ docker run --user root  -it --entrypoint=/bin/bash --rm quay.io/openshift-release-dev/ocp-v4.0-art-dev:v4.0.0-0.150.1-ose-docker-registry  
Unable to find image 'quay.io/openshift-release-dev/ocp-v4.0-art-dev:v4.0.0-0.150.1-ose-docker-registry' locally
Trying to pull repository quay.io/openshift-release-dev/ocp-v4.0-art-dev ... 
sha256:d6da1fbfd4cc153ca8fd59317b8faee806b6defe124ff5ab920b646ebdf81f53: Pulling from quay.io/openshift-release-dev/ocp-v4.0-art-dev
c325120ebc8d: Already exists 
c9d123037991: Already exists 
b5cb4b561557: Already exists 
3b460945a39c: Pull complete 
Digest: sha256:d6da1fbfd4cc153ca8fd59317b8faee806b6defe124ff5ab920b646ebdf81f53
Status: Downloaded newer image for quay.io/openshift-release-dev/ocp-v4.0-art-dev:v4.0.0-0.150.1-ose-docker-registry
[root@1739e3c3549c /]# rpm -qa | grep rsync
rsync-3.1.2-4.el7.x86_64

Comment 9 errata-xmlrpc 2019-06-04 10:41:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.